{%- from 'components/section.html.jinja' import section_base, title_section -%}
{%- from 'components/news.html.jinja' import news_grid, news_small_preview -%}
{% extends "base.html.jinja" %}

{%- block page -%}
  <section class="container overflow-hidden my-5">
    <div class="row gx-5">
      <div class="col-12 col-lg-8">
        <p class="fs-5 text-primary fw-semibold">
          {{ page.article.get_ui_published_at() }}
        </p>
        <h1 class="fs-2 mb-4">{{ page.article.title }}</h1>
        <h2 class="visually-hidden">Inhalt</h2>
        <div class="mb-4">{{ page.article.content |safe }}</div>
      </div>

      <div class="col-12 col-lg-4">
        <h2 class="fs-5 mb-4">Weitere Neuigkeiten</h2>
        {% for article in articles %}
          {{ news_small_preview(article) }}
        {% endfor %}
        <hr class="my-4" />
        <a href="/news.rss" class="btn btn-light"
          >News abbonieren
          <i class="bi bi-rss-fill ms-1"></i>
        </a>
      </div>
    </div>
  </section>
{%- endblock -%}
